Skip to main content
GET
/
sources
/
{source_id}
Retrieve a source
curl --request GET \
  --url https://api.deck.co/v2/sources/{source_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": "<string>",
  "name": "<string>",
  "type": "<string>",
  "website": {
    "url": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "request_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.deck.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Secret key (sk_live_...)

Path Parameters

source_id
string
required

Unique identifier for the source (prefixed with src_).

Response

OK

A source object. Sources are websites or services that agents connect to.

id
string
required

Unique identifier for the source, prefixed with src_.

object
string
required

Always source.

name
null | string
required

Display name for the source.

type
string
required

Source type. Use website for web-based sources.

website
object
required

Website configuration for the source.

created_at
string<date-time>
required

ISO 8601 timestamp of when the resource was created.

updated_at
string<date-time>
required

ISO 8601 timestamp of when the resource was last updated.

request_id
string
required

Unique identifier for the API request. Include this when contacting support.